#include "VirtMatFrame.h"


class Application : public wxApp{
public:
  VirtMatFrame * frame;

  Application(){ }

  bool OnInit(){ 
    frame = new VirtMatFrame();
    printf("Showing vertmat.\n");
    frame->Show();
    printf("Done show.\n");

    glewInit();
    
    // SetTopWindow(frame);

    if (argc > 1) {
      printf("Opening args %d\n", wxTheApp->argc);
      wxString str = wxTheApp->argv[1];
      std::string fname = (const char*)str.mb_str(wxConvUTF8);
      frame->Load(fname.c_str());
    }
    return true;
  }

  void MacOpenFile(const wxString & str){
    std::string fname = (const char*)str.mb_str(wxConvUTF8);
    std::cout << "Loading: " << fname << "\n";
    frame->Load(fname.c_str());
  }
};


IMPLEMENT_APP(Application)

